<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net, Version=2.0.8.0, Culture=neutral, PublicKeyToken=1b44e1d426115821" />
    <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
      <section name="FMB.Configurator.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
    </sectionGroup>
  </configSections>
  <startup> 
      <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0" />
  </startup>

  <log4net>
    <appender name="LogFileAppender" type="log4net.Appender.FileAppender">
      <file type="log4net.Util.PatternString">
        <converter>
          <name value="env" />
          <type value="FMB.Configurator.Logging.EnvironmentVariableConverter, Configurator" />
        </converter>
        <converter>
          <name value="sf" />
          <type value="FMB.Configurator.Logging.SpecialFolderConverter, Configurator" />
        </converter>
        <converter>
          <name value="dt" />
          <type value="FMB.Configurator.Logging.DateTimeConverter, Configurator" />
        </converter>
        <conversionPattern value="%sf{ApplicationData}\\Teltonika\\FMB.Configurator\\%dt{yyyyMMdd_hhmmss}.log" />
      </file>
      <appendToFile value="false" />
      <encoding value="utf-8" />
      <layout type="log4net.Layout.PatternLayout">
        <header value="[Header]&#xD;&#xA;" />
        <footer value="[Footer]&#xD;&#xA;" />
        <conversionPattern value="%date [%thread] %-5level %logger - %message%newline" />
      </layout>
    </appender>
    <root>
      <level value="ALL" />
      <appender-ref ref="LogFileAppender" />
    </root>
  </log4net>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Runtime" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-2.6.10.0" newVersion="2.6.10.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Threading.Tasks" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-2.6.10.0" newVersion="2.6.10.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="log4net" publicKeyToken="669e0ddf0bb1aa2a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-2.0.8.0" newVersion="2.0.8.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Teltonika.Firmware.Core" publicKeyToken="83515d37ab371278" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-2.0.0.0" newVersion="2.0.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <userSettings>
    <FMB.Configurator.Properties.Settings>
      <setting name="Locale" serializeAs="String">
        <value>en-US</value>
      </setting>
      <setting name="FirmwareLastUsedDir" serializeAs="String">
        <value />
      </setting>
      <setting name="SavedConfigLastUsedDir" serializeAs="String">
        <value />
      </setting>
      <setting name="UpgradeRequired" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="LogCaptureDumpDir" serializeAs="String">
        <value />
      </setting>
      <setting name="LogCaptureTime" serializeAs="String">
        <value>10</value>
      </setting>
      <setting name="AccCaptureDir" serializeAs="String">
        <value />
      </setting>
      <setting name="AccCaptureTime" serializeAs="String">
        <value>1</value>
      </setting>
      <setting name="DownloadedCertificatesSaveDir" serializeAs="String">
        <value />
      </setting>
    </FMB.Configurator.Properties.Settings>
  </userSettings>
</configuration>
